Subject: bug#79263: closed (Re: guix guix-science channels : built incompatibilties)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 18 Aug 2025 15:11:02 +0000

Your bug report

#79263: guix guix-science channels : built incompatibilties

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79263: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79263
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: guix guix-science channels : built incompatibilties
From: Andreas Enge <[email-masked]>
To: Arnaud Mounier <[email-masked]>
Cc: [email-masked]
Date: Mon, 18 Aug 2025 17:10:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

and thanks for your report!

This is also handled on codeberg, and actually an issue with the
guix-science channel:
   https://codeberg.org/guix-science/guix-science/issues/157
after we made a change in Guix.

This should be fixed now, and you should be able to do a
"guix pull" again.

Andreas

Subject: guix guix-science channels : built incompatibilties
From: Arnaud Mounier <[email-masked]>
To: [email-masked]
Date: Mon, 18 Aug 2025 15:48:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I recently install Guix on a GNU/Linux Debian Bookworm on a separate 
partion /gnu. I upgrade to Debian Trixie right now and after that I try 
to upgrade my Guix foreign distro install.

What I have done, after Trixie update :
1. $> sudo -i guix pull
2. $> guix pull

after that I want to update packages ($>guix package -u) but I can't yet.

The first "guix pull" work fine but not the second one.

I'm asking if it's the right way to update guix within a foreign distro.
Here is the result of the "guix pull" with my user :

> ❯ guix pull
> Mise à jour du canal « guix-science » depuis le dépôt Git « https://codeberg.org/guix-science/guix-science.git »...
> Mise à jour du canal « guix » depuis le dépôt Git « https://git.guix.gnu.org/guix.git »...
> Construction depuis ces canaux :
>   guix-sciencehttps://codeberg.org/guix-science/guix-science.git	7bbff91
>   guix      https://git.guix.gnu.org/guix.git	ef6b7bf
> Computing Guix derivation for 'x86_64-linux'... |warning: 'youtube-dl' is deprecated, use 'yt-dlp' instead
> /
> substitute: mise à jour des substituts depuis « https://ci.guix.gnu.org »... 100.0 %
> La dérivation suivante sera compilée :
>   /gnu/store/iidk170dicniy40czi9ldvzqm1slziff-profile.drv
> 
> construction du cache des paquets…
> -builder for `/gnu/store/hn41v25h4b1bmy9jihxhr00smaizg8vy-guix-package-cache.drv' failed to produce output path `/gnu/store/3lkzw6msnry9cwlbvazjss27af37fn34-guix-package-cache'
> la compilation de /gnu/store/hn41v25h4b1bmy9jihxhr00smaizg8vy-guix-package-cache.drv a échoué
> conseil : Cela indique généralement un bogue dans l'un des canaux que vous tirez (pull), ou une incompatibilité entre eux.  Vous pouvez consulter le log généré et rapporter le problème aux développeurs du canal.
> 
> Les canaux que vous tirez sont : guix-science guix.
> 
> Vous trouverez le journal de compilation dans « /var/log/guix/drvs/hn/41v25h4b1bmy9jihxhr00smaizg8vy-guix-package-cache.drv.gz ».
> cannot build derivation `/gnu/store/iidk170dicniy40czi9ldvzqm1slziff-profile.drv': 1 dependencies couldn't be built
> guix pull: erreur : build of `/gnu/store/iidk170dicniy40czi9ldvzqm1slziff-profile.drv' failed

And the backtrace :

> ❯ zcat /var/log/guix/drvs/hn/41v25h4b1bmy9jihxhr00smaizg8vy-guix-package-cache.drv.gz
> (repl-version 0 1 1)
> Generating package cache for '/gnu/store/jy4cpng62x8kqjb3py2iw0zvl7w1cjca-profile'...
> 
> Backtrace:
> In guix/repl.scm:
>     141:4 19 (machine-repl _ _)
>     126:7 18 (_)
> In ice-9/boot-9.scm:
>   1747:15 17 (with-exception-handler #<procedure 7fffedf75f90 at ic…> …)
>   1752:10 16 (with-exception-handler _ _ #:unwind? _ # _)
> In guix/repl.scm:
>     99:21 15 (_)
> In unknown file:
>           14 (_ #<procedure 7fffedf70960 at guix/repl.scm:100:25 ()> …)
>           13 (primitive-load "/gnu/store/r5jydxgp5y16n0l7zi1znf5d1nj…")
> In ice-9/boot-9.scm:
>   1752:10 12 (with-exception-handler _ _ #:unwind? _ # _)
> In gnu/packages.scm:
>    466:11 11 (generate-package-cache _)
> In srfi/srfi-1.scm:
>    460:18 10 (fold #<procedure expand-cache expr> _ _)
> In gnu/packages.scm:
>    426:37  9 (expand-cache . _)
> In guix/packages.scm:
>   1444:17  8 (supported-package? #<package [email-masked] …> …)
> In guix/memoization.scm:
>     101:0  7 (_ #<hash-table 7ffff78187a0 23941/28099> #<package py…> …)
> In guix/packages.scm:
>   1422:39  6 (_)
>   1692:16  5 (package->bag _ _ _ #:graft? _)
>   1796:47  4 (thunk)
> In guix-science/packages/jupyter.scm:
>    105:11  3 (native-inputs #<package [email-masked] guix-s…>)
> In ice-9/boot-9.scm:
>   1685:16  2 (raise-exception _ #:continuable? _)
>   1780:13  1 (_ #<&compound-exception components: (#<&undefined-vari…>)
> In unknown file:
>            0 (backtrace #<undefined>)
> 
> (exception unbound-variable (value #f) (value "Unbound variable: ~S") (value (nss-certs-for-test)) (value #f))

Thank's a lot,
arnome

-- 
« Quand les hommes considèrent certaines situations comme réelles, elles 
sont réelles dans leur conséquence. »
Le théorème de Thomas.

..: Arnaud Mounier • Informaticien :..

UMR 6298 ARTEHIS - Archéologie, Terre, Histoire et Sociétés
Bâtiment Sciences Gabriel
6, Boulevard Gabriel
21000 Dijon
Téléphone : 0 380 393 622